# QGLShader Class Reference

### [com.trolltech.qt.opengl package]

Inherits QObject.

### Constructor

- void QGLShader(ShaderType type, QObject parent)
- void QGLShader(ShaderType type, QGLContext context, QObject parent)

### Constructor Properties

- prototype: The QGLShader prototype object
- bool hasOpenGLShaders(ShaderType type, QGLContext context)
- Vertex = 0x0001
- Fragment = 0x0002
- Geometry = 0x0004
- ShaderTypeBit( value )
- ShaderType( value1, value2, ... )

### Prototype Object Properties

The QGLShader prototype object inherits properties from the QObject prototype object and also has the following properties.

- bool compileSourceCode(QByteArray source)
- bool compileSourceFile(String fileName)
- bool isCompiled()
- String log()
- ShaderType shaderType()
- QByteArray sourceCode()

### Instance Properties

QGLShader objects have no special properties beyond those inherited from the QGLShader prototype object.